DS Server

PATCH /admin/authenticationservers/{id}/serverurl

Endpoint

PATCH https://example.com/admin/authenticationservers/{id}/serverurl

Description

Specifies the server URL of an authentication server based on a given ID. The endpoint was added in DS Server 3.1.0.

Examples

The following sample changes the URL of the authentication server with the ID 1.

# Request:
curl --request PATCH 'https://trial.dsserver.io/admin/authenticationservers/1/serverurl' \
    --header 'Authorization: Basic YWRtaW46YWRtaW5hZG1pbg==' \
    --header 'Content-Type: application/json' \
    --data-raw '"https://ds3.example.com"'

# Response:
HTTP/1.1 200 OK

Authorization

This endpoint supports the Basic authorization method:

Basic

Header fieldDescription
AuthorizationThe username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Request Payload

TypeValue
StringThe new URL as a JSON string (application/json), for example "https://ds3.example.com". DS Server doesn't check the URL, and a missing body or a value that isn't a JSON string removes the URL (serverUrl becomes null).

Success Response

StatusDescription
200On success, the HTTP status code in the response header is 200 (OK).

Error Response

StatusDescription
401A 401 (Unauthorized) is returned, if the user is not authorized.
404A 404 (Not Found) with an empty body is returned, if the given ID doesn't match an existing authentication server.
415A 415 (Unsupported Media Type) is returned, if the Content-Type header isn't application/json.